menu
#7557224 Declaration of LevelUPSystem\Main::onEnable() must be compatible with pocketmine\plugin\PluginBase::onEnable(): void

Submitted by PocketMine-MP 4.9.0

General information

Version: 4.9.0
Git commit: 785dc712
Plugin involvement: Direct
Report date: 2022-09-23 00:40:50 +0000 UTC
Server uptime: 0 days 0 hours 0 minutes 0 seconds

System Information

PHP version: 8.0.22
JIT status: Disabled
Operating system: linux
System banner: Linux 886a0ad9-c545-4804-b077-48451c93165a 5.4.0-124-generic #140-Ubuntu SMP Thu Aug 4 02:23:37 UTC 2022 x86_64

Error information

Warning: a plugin was directly involved in this crash. Please contact the plugin author.
Message: Declaration of LevelUPSystem\Main::onEnable() must be compatible with pocketmine\plugin\PluginBase::onEnable(): void
File: plugins/LevelUP-System-master/src/LevelUPSystem/Main
Line: #33
Error level: E_COMPILE_ERROR
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
use pocketmine\event\block\BlockPlaceEvent;
use pocketmine\event\block\BlockBreakEvent;
use pocketmine\event\player\PlayerDeathEvent;
use pocketmine\event\entity\EntityDeathEvent;
use pocketmine\event\player\PlayerRespawnEvent;
use pocketmine\event\entity\EntityDamageByEntityEvent;

class Main extends PluginBase implements Listener {

public function onEnable(){
$this->getLogger()->info("LevelUP-System has been enabled");
$this->stats = new Config($this->getDataFolder() . "stats.yml", Config::YAML);
@mkdir($this->getDataFolder());
$this->eco = $this->getServer()->getPluginManager()->getPlugin("EconomyAPI");

$this->saveResource("stats.yml");
$this->getServer()->getPluginManager()->registerEvents($this, $this);
}

public function onCommand(CommandSender $sender, Command $command, $label, array $args) : bool {

Loaded Plugins

  • Show

Server Settings

  • Show

Installed PHP Extensions

  • Show